=== modified file 'INSTALL'
--- INSTALL	2006-05-02 02:36:38 +0000
+++ INSTALL	2006-05-03 20:05:46 +0000
@@ -12,7 +12,7 @@
 "bzr clean-tree -h"
 
 Optional Dependencies:
-rsync          - used by rpush
+rsync          - used by rspush
 diff           - used by shelve and unshelve
 patch          - used by shelve, unshelve and patch
 baz and pybaz  - used by baz-import

=== modified file 'NEWS'
--- NEWS	2006-05-02 02:36:38 +0000
+++ NEWS	2006-05-03 20:05:46 +0000
@@ -1,5 +1,5 @@
 Man 1
-* Renamed push to rpush (Robert Collins)
+* Renamed push to rspush (Robert Collins/Aaron Bentley)
 
 Apr 11
 * New Switch command (David Allouche/Canonical)
@@ -11,7 +11,7 @@
 
 Jan 31
 * Improved shell completion
-* bzr rpush can omit working tree
+* bzr push can omit working tree
 * Documentation updates
 
 Dec 13

=== modified file 'README'
--- README	2006-05-02 02:36:38 +0000
+++ README	2006-05-03 20:05:46 +0000
@@ -18,7 +18,7 @@
 baz-import-branch will import an Arch or Baz Branch into a bzr standalone tree.
 See baz-import for conversion details.
 
-RPUSH
+RSPUSH
 Uses rsync to copy a branch to a remote location.  Remembers the last location
 used.  Will not push if
 - there are unknown files

=== modified file '__init__.py'
--- __init__.py	2006-05-02 02:36:38 +0000
+++ __init__.py	2006-05-03 20:05:46 +0000
@@ -3,7 +3,7 @@
 Various useful plugins for working with bzr.
 """
 import bzrlib.commands
-import rpush
+import rspush
 from errors import CommandError
 from patchsource import BzrPatchSource
 from shelf import Shelf
@@ -380,7 +380,7 @@
 
 
 import bzrlib.builtins
-commands.append(rpush.cmd_rpush)
+commands.append(rspush.cmd_rspush)
 
 from errors import NoPyBaz
 try:

=== modified file 'bzrtools.py'
--- bzrtools.py	2006-05-02 02:36:38 +0000
+++ bzrtools.py	2006-05-03 20:05:46 +0000
@@ -241,7 +241,7 @@
     except RsyncNoFile:
         return True
 
-def rpush(tree, location=None, overwrite=False, working_tree=True):
+def rspush(tree, location=None, overwrite=False, working_tree=True):
     push_location = get_push_data(tree)
     if location is not None:
         if not location.endswith('/'):
@@ -249,7 +249,7 @@
         push_location = location
     
     if push_location is None:
-        raise BzrCommandError("No rpush location known or specified.")
+        raise BzrCommandError("No rspush location known or specified.")
 
     if (push_location.find('://') != -1 or
         push_location.find(':') == -1):

=== renamed file 'rpush.py' => 'rspush.py'
--- rpush.py	2006-05-02 02:36:38 +0000
+++ rspush.py	2006-05-03 20:05:46 +0000
@@ -21,11 +21,11 @@
 import bzrtools 
 
 
-class cmd_rpush(Command):
+class cmd_rspush(Command):
     """Upload this branch to another location using rsync.
 
     If no location is specified, the last-used location will be used.  To 
-    prevent dirty trees from being uploaded, rpush will error out if there are 
+    prevent dirty trees from being uploaded, rspush will error out if there are 
     unknown files or local changes.  It will also error out if the upstream 
     directory is non-empty and not an earlier version of the branch. 
     """
@@ -37,5 +37,5 @@
 
     def run(self, location=None, overwrite=False, no_tree=False):
         cur_branch = WorkingTree.open_containing(".")[0]
-        bzrtools.rpush(cur_branch, location, overwrite=overwrite, 
+        bzrtools.rspush(cur_branch, location, overwrite=overwrite, 
                       working_tree=not no_tree)

